org.apache.thrift

## Class TFieldRequirementType

- java.lang.Object
- - org.apache.thrift.TFieldRequirementType

-     public final class TFieldRequirementType
      extends java.lang.Object

  Requirement type constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `DEFAULT`
    `static byte` | `OPTIONAL`
    `static byte` | `REQUIRED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFieldRequirementType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUIRED

          public static final byte REQUIRED

      See Also:
        Constant Field Values

    - #### OPTIONAL

          public static final byte OPTIONAL

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final byte DEFAULT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TFieldRequirementType

          public TFieldRequirementType()